# Updates a registration process with the specified ID.

This method will update an existing registration process with the specified ID.

Endpoint: PUT /registrationProcesses/{tenantId}/{id}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

  - `id` (string, required)
    The ID of the registration process to update.

## Request body:

  - `application/json` (unknown)
    The updated registration process that will be saved.

## Request fields (application/json):

  - `allow_registrants_to_cancel_registrations` (boolean)
    Whether registrants can cancel registrations in the portal

  - `allow_registrants_to_edit_registrations` (boolean)
    Whether registrants can edit their registrations

  - `checkout_settings` (object, required)

  - `checkout_settings.allow_customer_to_choose_installment_plan` (boolean)
    If true, the customer can choose their installment plan

  - `checkout_settings.bank_account_id` (string, required)
    The default bank account that the store should use to receive payments

  - `checkout_settings.bill_my_organization_options` (object)

  - `checkout_settings.bill_my_organization_options.billing_address` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.bill_my_organization_options.purchase_order_number` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.bill_my_organization_options.reference_number` (string)
    The reference #

  - `checkout_settings.bill_my_parent_organization_options` (object)

  - `checkout_settings.bill_my_parent_organization_options.billing_address` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.bill_my_parent_organization_options.purchase_order_number` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.bill_my_parent_organization_options.reference_number` (string)
    The reference #

  - `checkout_settings.business_unit_id` (string, required)
    The business unit of the store

  - `checkout_settings.cancellation_fee_product_id` (string)
    The ID of the product used for cancellation fees

  - `checkout_settings.checkout_donation_options` (object)

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options` (object)

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.allow_user_to_specify_custom_amount` (boolean)
    If set, the user can specify their own custom donation

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_ask_text` (string)
    The text shown to the user when making the donation

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_denominations` (array)

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_information` (string)
    Additional information about the donation

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_product_id` (string, required)
    The misc product that should be used

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.override_donation_denominations` (boolean)
    If set, donation denominations are specified here and the defaults are not used

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.suggested_donation` (number)
    A suggested donation

  - `checkout_settings.checkout_donation_options.type` (string)
    Enum: "simple"

  - `checkout_settings.credit_card_minimum_range_end` (number)
    If set, the maximum amount for which credit cards can be taken

  - `checkout_settings.credit_card_minimum_range_start` (number)
    If set, the minimum amount for which credit cards can be taken

  - `checkout_settings.credit_card_mode` (string)
    Determines whether or not credit cards are accepted
    Enum: "disabled", "enabled", "range"

  - `checkout_settings.credit_card_processing_fee_mode` (string)
    Determines how credit card processing fees should be handled
    Enum: "charge", "do not charge", "prompt user"

  - `checkout_settings.credit_card_processing_fee_options` (object)

  - `checkout_settings.credit_card_processing_fee_options.fee_percentage` (number, required)
    The fee percentage to charge for credit card processing

  - `checkout_settings.credit_card_processing_fee_options.maximum_fee` (number)
    The maximum amount to charge. If the fee comes out to be MORE than this, than this amount will be charged

  - `checkout_settings.credit_card_processing_fee_options.minimum_fee` (number)
    The minimum amount to charge. If the fee comes out to be less than this, than this amount will be charged

  - `checkout_settings.credit_card_processing_fee_options.product_id` (string, required)
    The misc product to use for the credit card processing

  - `checkout_settings.credit_card_processing_fee_options.prompt_sub_text` (string)
    Additional text that is shown to the user when asking if they want to pay for credit card processing fees. If not set a default will be used

  - `checkout_settings.credit_card_processing_fee_options.prompt_text` (string)
    The checkbox text to show the user when asking if they want to pay for credit card processing fees. If not set a default will be used

  - `checkout_settings.disable_electronic_payment_vaulting` (boolean)
    If set, in the portal people are not allowed to save credit cards

  - `checkout_settings.enable_bill_my_organization` (boolean)
    If set, the user has the option to bill their organization

  - `checkout_settings.enable_bill_my_parent_organization` (boolean)
    If set, the user has the option to bill their organization's parent organization

  - `checkout_settings.enable_donations_at_checkout` (boolean)
    If selected, users will be prompted to make a donation upon checking out

  - `checkout_settings.enable_electronic_checks` (boolean)
    If set, electronic checks are allowed

  - `checkout_settings.enable_pay_later` (boolean)
    If set, pay later is enabled on this checkout regardless of product settings... if not, the product settings are observed

  - `checkout_settings.enable_payroll_deduction` (boolean)
    If set, payroll deduction is allowed

  - `checkout_settings.enable_split_payments` (boolean)
    If set, users are allowed to split payments

  - `checkout_settings.installment_plan_options` (array)

  - `checkout_settings.invoice_payment_terms_id` (string)
    The payment terms for invoices; if left blank, default is used

  - `checkout_settings.invoice_template_id` (string)
    The template to use for invoices created during this process

  - `checkout_settings.merchant_account_id` (string, required)
    The merchant account that the store should use to receive payments

  - `checkout_settings.pay_later_options` (object)

  - `checkout_settings.pay_later_options.billing_address` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.pay_later_options.purchase_order_number` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.pay_later_options.reference_number` (string)
    The reference #

  - `checkout_settings.restocking_fee_product_id` (string)
    The ID of the product used for restocking fees

  - `checkout_settings.special_instructions` (string)
    Instructions shown to the user

  - `checkout_settings.use_pro_forma_invoices` (boolean)
    Whether to use pro forma invoices when user elects to pay later

  - `confirmation_email` (object, required)
    The email to send when the application is received

  - `confirmation_email.bcc` (string)
    Anyone that should be bcc'ed on the email

  - `confirmation_email.body` (string, required)
    The email body

  - `confirmation_email.cc` (string)
    Anyone that should be cc'ed on the email

  - `confirmation_email.from` (string)
    From email address

  - `confirmation_email.from_name` (string)
    From name

  - `confirmation_email.reply_to` (string)
    The reply to

  - `confirmation_email.subject` (string, required)
    The email subject

  - `contact_form_options` (object, required)

  - `contact_form_options.contact_form_id` (string, required)
    The default contact form to present to the user to verify the contact info before proceeding

  - `contact_form_options.html` (string)
    Text to show on the top of the form

  - `custom_confirmation_page_html` (string, required)
    The custom confirmation page HTML

  - `custom_field_values` (array)

  - `custom_field_values.boolean_value` (boolean)
    The boolean value

  - `custom_field_values.custom_field_id` (string)
    The unique identifier of the custom field

  - `custom_field_values.file_url_value` (string)
    The pointer to a file value

  - `custom_field_values.list_value` (array)
    The list value

  - `custom_field_values.numeric_value` (number)
    The numeric value

  - `custom_field_values.string_value` (string)
    The string value of the custom field

  - `custom_field_values.table_value` (array)
    A list of objects (a table)

  - `deadline_for_cancelling_registrations` (string)
    Deadline for cancelling registrations; if not set, the registration close date is used

  - `description` (string)
    Description of the process

  - `display_order` (number)
    The order to display

  - `edit_registration_options` (object, required)

  - `edit_registration_options.change_fee_id` (string, required)
    The change fee used when registrations are being edited

  - `edit_registration_options.deadline` (string)
    Deadline for editing registrations; if not set, the registration close date is used

  - `edit_registration_options.edit_form_id` (string)
    The form to use for editing registrations, if different from the default

  - `enable_confirmation_email` (boolean)
    Whether or not an email should be sent when the application is received

  - `enable_custom_confirmation_page_html` (boolean)
    enable custom text to show on the confirmation page

  - `enable_online_registration` (boolean)
    Whether or not this process is available in the portal

  - `event_id` (string, required)
    The event

  - `form_id` (string, required)
    The registration form

  - `group_registration_form_id` (string)
    The form to use for group registration

  - `guest_registration_options` (object)

  - `guest_registration_options.do_not_save_guests_as_contacts` (boolean)
    If set, guests will not be saved as contacts and instead registrations will be linked to the parent

  - `guest_registration_options.guest_registration_type_ids` (array)

  - `guest_registration_options.maximum_number_of_guests` (number)
    The maximum number of guests

  - `guest_registration_options.quick_add_contact_options` (object, required)
    UI options for how the add org contacts should function

  - `id` (string, required)
    The unique, string identifier of this registration process

  - `is_active` (boolean)
    Whether or not this registration process is active

  - `name` (string, required)
    The name of the registration process

  - `online_registration_options` (object, required)

  - `online_registration_options.close_date` (string)
    The date online registration closes

  - `online_registration_options.open_date` (string)
    The date online registration opens

  - `organization_form_options` (object, required)

  - `organization_form_options.html` (string)
    Text to show on the top of the form

  - `organization_form_options.organization_form_id` (string, required)
    The default organization form to present to the user to verify the organization info before proceeding

  - `override_checkout_settings` (boolean)
    Whether or not to override POC settings

  - `show_contact_form` (boolean)
    Whether or not to show a contact form

  - `show_organization_form` (boolean)
    Whether or not to show an organization form

  - `sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `sys_calculated_field_errors` (array)

  - `sys_calculated_field_errors.error` (string)

  - `sys_calculated_field_errors.field` (string)

  - `sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `sys_version` (number)
    A number representing the version of this record in the database

## Response 200:

  - `200` (unknown)
    The registration process was updated successfully.

## Response 200 fields (application/json):

  - `allow_registrants_to_cancel_registrations` (boolean)
    Whether registrants can cancel registrations in the portal

  - `allow_registrants_to_edit_registrations` (boolean)
    Whether registrants can edit their registrations

  - `checkout_settings` (object, required)

  - `checkout_settings.allow_customer_to_choose_installment_plan` (boolean)
    If true, the customer can choose their installment plan

  - `checkout_settings.bank_account_id` (string, required)
    The default bank account that the store should use to receive payments

  - `checkout_settings.bill_my_organization_options` (object)

  - `checkout_settings.bill_my_organization_options.billing_address` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.bill_my_organization_options.purchase_order_number` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.bill_my_organization_options.reference_number` (string)
    The reference #

  - `checkout_settings.bill_my_parent_organization_options` (object)

  - `checkout_settings.bill_my_parent_organization_options.billing_address` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.bill_my_parent_organization_options.purchase_order_number` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.bill_my_parent_organization_options.reference_number` (string)
    The reference #

  - `checkout_settings.business_unit_id` (string, required)
    The business unit of the store

  - `checkout_settings.cancellation_fee_product_id` (string)
    The ID of the product used for cancellation fees

  - `checkout_settings.checkout_donation_options` (object)

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options` (object)

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.allow_user_to_specify_custom_amount` (boolean)
    If set, the user can specify their own custom donation

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_ask_text` (string)
    The text shown to the user when making the donation

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_denominations` (array)

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_information` (string)
    Additional information about the donation

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_product_id` (string, required)
    The misc product that should be used

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.override_donation_denominations` (boolean)
    If set, donation denominations are specified here and the defaults are not used

  - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.suggested_donation` (number)
    A suggested donation

  - `checkout_settings.checkout_donation_options.type` (string)
    Enum: "simple"

  - `checkout_settings.credit_card_minimum_range_end` (number)
    If set, the maximum amount for which credit cards can be taken

  - `checkout_settings.credit_card_minimum_range_start` (number)
    If set, the minimum amount for which credit cards can be taken

  - `checkout_settings.credit_card_mode` (string)
    Determines whether or not credit cards are accepted
    Enum: "disabled", "enabled", "range"

  - `checkout_settings.credit_card_processing_fee_mode` (string)
    Determines how credit card processing fees should be handled
    Enum: "charge", "do not charge", "prompt user"

  - `checkout_settings.credit_card_processing_fee_options` (object)

  - `checkout_settings.credit_card_processing_fee_options.fee_percentage` (number, required)
    The fee percentage to charge for credit card processing

  - `checkout_settings.credit_card_processing_fee_options.maximum_fee` (number)
    The maximum amount to charge. If the fee comes out to be MORE than this, than this amount will be charged

  - `checkout_settings.credit_card_processing_fee_options.minimum_fee` (number)
    The minimum amount to charge. If the fee comes out to be less than this, than this amount will be charged

  - `checkout_settings.credit_card_processing_fee_options.product_id` (string, required)
    The misc product to use for the credit card processing

  - `checkout_settings.credit_card_processing_fee_options.prompt_sub_text` (string)
    Additional text that is shown to the user when asking if they want to pay for credit card processing fees. If not set a default will be used

  - `checkout_settings.credit_card_processing_fee_options.prompt_text` (string)
    The checkbox text to show the user when asking if they want to pay for credit card processing fees. If not set a default will be used

  - `checkout_settings.disable_electronic_payment_vaulting` (boolean)
    If set, in the portal people are not allowed to save credit cards

  - `checkout_settings.enable_bill_my_organization` (boolean)
    If set, the user has the option to bill their organization

  - `checkout_settings.enable_bill_my_parent_organization` (boolean)
    If set, the user has the option to bill their organization's parent organization

  - `checkout_settings.enable_donations_at_checkout` (boolean)
    If selected, users will be prompted to make a donation upon checking out

  - `checkout_settings.enable_electronic_checks` (boolean)
    If set, electronic checks are allowed

  - `checkout_settings.enable_pay_later` (boolean)
    If set, pay later is enabled on this checkout regardless of product settings... if not, the product settings are observed

  - `checkout_settings.enable_payroll_deduction` (boolean)
    If set, payroll deduction is allowed

  - `checkout_settings.enable_split_payments` (boolean)
    If set, users are allowed to split payments

  - `checkout_settings.installment_plan_options` (array)

  - `checkout_settings.invoice_payment_terms_id` (string)
    The payment terms for invoices; if left blank, default is used

  - `checkout_settings.invoice_template_id` (string)
    The template to use for invoices created during this process

  - `checkout_settings.merchant_account_id` (string, required)
    The merchant account that the store should use to receive payments

  - `checkout_settings.pay_later_options` (object)

  - `checkout_settings.pay_later_options.billing_address` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.pay_later_options.purchase_order_number` (string)
    Enum: "do not show", "optional", "required"

  - `checkout_settings.pay_later_options.reference_number` (string)
    The reference #

  - `checkout_settings.restocking_fee_product_id` (string)
    The ID of the product used for restocking fees

  - `checkout_settings.special_instructions` (string)
    Instructions shown to the user

  - `checkout_settings.use_pro_forma_invoices` (boolean)
    Whether to use pro forma invoices when user elects to pay later

  - `confirmation_email` (object, required)
    The email to send when the application is received

  - `confirmation_email.bcc` (string)
    Anyone that should be bcc'ed on the email

  - `confirmation_email.body` (string, required)
    The email body

  - `confirmation_email.cc` (string)
    Anyone that should be cc'ed on the email

  - `confirmation_email.from` (string)
    From email address

  - `confirmation_email.from_name` (string)
    From name

  - `confirmation_email.reply_to` (string)
    The reply to

  - `confirmation_email.subject` (string, required)
    The email subject

  - `contact_form_options` (object, required)

  - `contact_form_options.contact_form_id` (string, required)
    The default contact form to present to the user to verify the contact info before proceeding

  - `contact_form_options.html` (string)
    Text to show on the top of the form

  - `custom_confirmation_page_html` (string, required)
    The custom confirmation page HTML

  - `custom_field_values` (array)

  - `custom_field_values.boolean_value` (boolean)
    The boolean value

  - `custom_field_values.custom_field_id` (string)
    The unique identifier of the custom field

  - `custom_field_values.file_url_value` (string)
    The pointer to a file value

  - `custom_field_values.list_value` (array)
    The list value

  - `custom_field_values.numeric_value` (number)
    The numeric value

  - `custom_field_values.string_value` (string)
    The string value of the custom field

  - `custom_field_values.table_value` (array)
    A list of objects (a table)

  - `deadline_for_cancelling_registrations` (string)
    Deadline for cancelling registrations; if not set, the registration close date is used

  - `description` (string)
    Description of the process

  - `display_order` (number)
    The order to display

  - `edit_registration_options` (object, required)

  - `edit_registration_options.change_fee_id` (string, required)
    The change fee used when registrations are being edited

  - `edit_registration_options.deadline` (string)
    Deadline for editing registrations; if not set, the registration close date is used

  - `edit_registration_options.edit_form_id` (string)
    The form to use for editing registrations, if different from the default

  - `enable_confirmation_email` (boolean)
    Whether or not an email should be sent when the application is received

  - `enable_custom_confirmation_page_html` (boolean)
    enable custom text to show on the confirmation page

  - `enable_online_registration` (boolean)
    Whether or not this process is available in the portal

  - `event_id` (string, required)
    The event

  - `form_id` (string, required)
    The registration form

  - `group_registration_form_id` (string)
    The form to use for group registration

  - `guest_registration_options` (object)

  - `guest_registration_options.do_not_save_guests_as_contacts` (boolean)
    If set, guests will not be saved as contacts and instead registrations will be linked to the parent

  - `guest_registration_options.guest_registration_type_ids` (array)

  - `guest_registration_options.maximum_number_of_guests` (number)
    The maximum number of guests

  - `guest_registration_options.quick_add_contact_options` (object, required)
    UI options for how the add org contacts should function

  - `id` (string, required)
    The unique, string identifier of this registration process

  - `is_active` (boolean)
    Whether or not this registration process is active

  - `name` (string, required)
    The name of the registration process

  - `online_registration_options` (object, required)

  - `online_registration_options.close_date` (string)
    The date online registration closes

  - `online_registration_options.open_date` (string)
    The date online registration opens

  - `organization_form_options` (object, required)

  - `organization_form_options.html` (string)
    Text to show on the top of the form

  - `organization_form_options.organization_form_id` (string, required)
    The default organization form to present to the user to verify the organization info before proceeding

  - `override_checkout_settings` (boolean)
    Whether or not to override POC settings

  - `show_contact_form` (boolean)
    Whether or not to show a contact form

  - `show_organization_form` (boolean)
    Whether or not to show an organization form

  - `sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `sys_calculated_field_errors` (array)

  - `sys_calculated_field_errors.error` (string)

  - `sys_calculated_field_errors.field` (string)

  - `sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `sys_version` (number)
    A number representing the version of this record in the database

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The registration process supplied was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The registration process could not be found.

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 405:

  - `405` (unknown)
    The request method is not allowed.

## Response 405 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 409:

  - `409` (unknown)
    The registration process could not be saved because it refers to/depends on a non-existent object.

## Response 409 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve registration process based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

